<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package efluensy
 */

?>

	<footer id="colophon" class="site-footer">
		<div class="site-info">
		    <div class="main-footer">
		        <div class="container">
    		        <div class="row">
    		            <div class="col3">
    		                <div class="footer-location">
        		                <h5><?php the_field('headingloc' , 'option');?></h5>
        		                <?php while(have_rows('address_main' , 'option')) : the_row();?>
            		                <strong><?php the_sub_field('main_head');?></strong>
            		                <span><?php the_sub_field('sub_heading');?></span>
            		                <p><?php the_sub_field('address');?></p>
                                <?php endwhile;?>
                            </div>
    		            </div>
    		            
    		            <div class="col3">
    		                <h5><?php the_field('headinglink' , 'option');?></h5>
    		                <ul class="mostlink">
    		                     <?php while(have_rows('link' , 'option')) : the_row();?>
    		                         <li><a href="<?php the_sub_field('link');?>"><?php the_sub_field('title');?></a></li>
    		                    <?php endwhile;?>
    		                </ul>
    		            </div>
    		            
    		            <div class="col3">
    		                <h5><?php the_field('headingel' , 'option');?></h5>
    		                <p><?php the_field('contentelf' , 'option');?></p>
    		                
    		                <a href="tel:<?php the_field('mobile_numberelf' , 'option');?>">Call Us : <?php the_field('mobile_numberelf' , 'option');?></a>
    		                
    		                <ul class="social-media d-flex">
    		                    <?php while(have_rows('social_media' , 'option')) : the_row();?>
    		                        <li><a href="<?php the_sub_field('url');?>"><?php the_sub_field('icon');?></a></li>
    		                    <?php endwhile;?>
    		                </ul>
    		            </div>
    		            
    		            <div class="col3">
    		                <h5><?php the_field('headingget' , 'option');?></h5>
    		                <div class="footerform">
    		                    <?php $footerform = get_field('form_shortcode' , 'option');?>
    		                    <?php echo do_shortcode($footerform);?>
    		                </div>
    		            </div>
    		        </div>
		        </div>
		     </div>
		     
		     <div class="footer-bottom">
		         <div class="container">
		             <p class="text-center"><?php the_field('bottom_content' , 'option');?></p>
		         </div>
		     </div>
		     
		     
		     
		</div><!-- .site-info -->
	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>

</body>
</html>
