<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package efluensy
 */

get_header();
?>

	<main id="primary" class="site-main">

			<div class="banner-slider">
			    <?php while(have_rows('banner_content')) : the_row();?>
			    <div>
                    <div class="banner-section" style="background: url(<?php the_sub_field('background_image');?>) center top / cover no-repeat;">
                       <div class="banner-content">
                           <h2><?php the_sub_field('banner_heading');?></h2>
                           <?php the_sub_field('banner_content');?>
                       </div>
                    </div>
                </div>
                <?php endwhile;?>
	        </div>
	        
	        
	        <div class="form-section">
	            <div class="container">
	                <div class="formmain">
    	                <form action="<?php echo home_url('jobs');?>" method="get">
                            <div class="row">
                                <div class="col3">
                                    <input type="text" class="search-keyword" name="search" placeholder="Keywords" autocomplete="off" required>
                                </div>
                             <div class="col3">
                                    <select name="location" id="location">
                                        <option value="all">Select Location</option>
                                        <?php
                                            $args = array(
                                                'taxonomy' => 'iwj_location',
                                                'orderby' => 'name',
                                                'order'   => 'ASC'
                                             );
                                        $cats = get_categories($args);
                                            foreach($cats as $cat) {
                                        ?>
                                            
                                            <option value="<?php echo $Locato = $cat->slug; ?>"> <?php echo $Locato = $cat->name; ?></option>
                                        <?php
                                           }
                                        ?>
                                    </select>
                                </div>
                                
                                <div class="col3">
                                    <select name="category" id="Categories">
                                        <option value="all">Select Categories</option>
                                        <?php
                                            $args = array(
                                                'taxonomy' => 'iwj_cat',
                                                'orderby' => 'name',
                                                'order'   => 'ASC'
                                             );
                                        $cats = get_categories($args);
                                            foreach($cats as $cat) {
                                        ?>
                                            
                                            <option value="<?php echo $Locato = $cat->slug; ?>"> <?php echo $Locato = $cat->name; ?></option>
                                        <?php
                                           }
                                        ?>
                                    </select>
                                </div>
                                
                                <div class="col3">
                                   <input type="submit" value="Search Job">
                                </div>  
                                
                            </div>
                        </form>
        	        </div>     
	            </div>
	        </div>
	        
	        <div class="employer-section">
	            <div class="container">
	                <div class="top-heading text-center">
	                    <h5><?php the_field('employers_heading');?></h5>
	                    <h3><?php the_field('employers_sub_heading');?></h3>
	                </div>
	                
	                <div class="row">
	                    <?php while(have_rows('employers_detail')) : the_row()?>
	                    <div class="col4">
	                        <div class="feture-detail">
	                            <a href="#">
    	                            <img src="<?php the_sub_field('imagem');?>" alt="">
    	                            <div class="detaill">
    	                                <h5><?php the_sub_field('headingem');?></h5>
    	                                <?php the_sub_field('contentem');?>
    	                            </div>
	                            </a>
	                        </div>
	                    </div>
	                    <?php endwhile;?>
	                    
	                </div>
	            </div>
	        </div>
	        
	        <div class="Dreamjob-section" style="background: rgba(0, 0, 0, 0.6) url(<?php the_field('background_imageth');?>) 0 0 no-repeat;">
	            <div class="container">
	                <div class="dream-detail text-center">
	                    <h3><?php the_field('headingth');?></h3>
	                    <p><?php the_field('contentth');?></p>
	                    <div class="d-flex justify-center">
	                        <?php 
                                $search_link = get_field('search_job_button');
                                if( $search_link ): 
                                    $link_url = $search_link['url'];
                                    $link_title = $search_link['title'];
                                    $link_target = $search_link['target'] ? $search_link['target'] : '_self';
                                    ?>
                                    <a href="<?php echo esc_url( $link_url ); ?>" class="Search-Jobs" target="<?php echo esc_attr( $link_target ); ?>"> <?php echo esc_html( $link_title ); ?> </a>
                                <?php endif; ?>
                                	                        
                            <?php 
                            $Apply_link = get_field('apply_job_button');
                            if( $Apply_link ): 
                                $link_url = $Apply_link['url'];
                                $link_title = $Apply_link['title'];
                                $link_target = $Apply_link['target'] ? $Apply_link['target'] : '_self';
                                ?>
                               <a href="<?php echo esc_url( $link_url ); ?>" class=" Apply-Now "  target="<?php echo esc_attr( $link_target ); ?>"> <?php echo esc_html( $link_title ); ?> </a>
                            <?php endif; ?>
	                      </div>
	                </div>
	            </div>
	        </div>
	        
	        <div class="featured-section">
	            <div class="container">
	                <div class="top-heading text-center">
	                    <h5><?php the_field('headingjob');?></h5>
	                    <div class="all-jobs">
	                        <?php $numberjob = get_field('show_number_of_job');?>
	                        <?php $args = array(  'post_type' => 'iwj_job', 'posts_per_page' => $numberjob,);
					            $loop = new WP_Query( $args );
					            while ( $loop->have_posts() ) : $loop->the_post();?>
        	                        <div class="job-detail">
        	                            <dic class="star2"><i class="fa-solid fa-star"></i></dic>
        	                            <ul class="d-flex justify-between1">
        	                                <li>
        	                                    <h5><?php the_title();?></h5>
        	                                    <img src="https://www.efluensy.com/wp-content/uploads/2022/05/AiT-Favicon-60x60-1.png" alt="">
        	                                    <?php $type = get_the_terms( $post->ID, 'iwj_type' );
                                    				if ($type) {
                                    					foreach($type as $term) {
                                    					  $job_type = $term->name;
                                    					 
                                    					} 
                                    				}
                                    			?>
        	                                    <span><strong>Job type :</strong> <?php echo $job_type;?> </span>
        	                                 </li>
        	                                 <li>
        	                                     <span><i class="fa-solid fa-suitcase"></i> ABSOLUTE IT</span>
        	                                    <span><i class="fa-solid fa-location-dot"></i> United States</span>
        	                                    <span><i class="fa-solid fa-calendar-days"></i> <?php echo get_the_date( 'd/m/Y' );?>  </span>
        	                                    
        	                                </li>
        	                                
        	                                <li>
        	                                    <a href="<?php the_permalink();?>" class="btn">More Detail</a>
        	                                </li>
        	                            </ul>
        	                        </div>
	                        <?php endwhile;  wp_reset_postdata(); ?>
	                        
	                    </div>
	                    <?php
	                     $job_link = get_field('more_job_link');
                                if( $search_link ): 
                                    $link_url = $job_link['url'];
                                    $link_title = $job_link['title'];
                                    $link_target = $job_link['target'] ? $job_link['target'] : '_self';
                                    ?>
	                    <a href="<?php echo esc_url( $link_url ); ?>" class="btn" style="margin-top:50px" target="<?php echo esc_attr( $link_target ); ?>"> <?php echo esc_html( $link_title ); ?> </a>
	                     <?php endif; ?>
	                </div>
	            </div>     
	        </div>
	        
	        <div class="testimonials-section" style="background: url(<?php the_field('background_imagetes');?>) center top / cover no-repeat">
	            <div class="container">
	                <div class="dream-detail text-center">
	                    <h3><?php the_field('main_headingte');?></h3>
	                    <p><?php the_field('sub_headingte');?></p>
	                    
	                    <div class="testimonials-slider">
	                        <?php while(have_rows('review_content')) : the_row();?>
	                        <div>
	                            <div class="te-details">
	                                <p><?php the_sub_field('content');?></p>
	                                <div class="text-center">
	                                    <img src="<?php the_sub_field('client_image');?>" alt="">
	                                    <strong><?php the_sub_field('client_name');?></strong>
	                                </div>
	                            </div>
	                        </div>
	                        <?php endwhile;?>
	                        
	                    </div>
	                    
	                </div>
	            </div>     
	        </div>
	        
	         <div class="employer-section">
	            <div class="container">
	                <h5 class="text-center"><?php the_field('headingem');?></h5>
	                
	                <div class="row">
	                    <?php while(have_rows('employer_logo')) : the_row();?>
	                    <div class="col2">
	                        <img src="<?php the_sub_field('logos');?>" alt="">
	                    </div>
	                    
	                    <?php endwhile;?>
	                   </div>
	                </div>
	          </div>
	   

	</main><!-- #main -->

<?php
get_footer();
