<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package efluensy
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">
	<link rel="preconnect" href="https://fonts.googleapis.com">
	<link rel="icon" href="<?php the_field('fav_icon' , 'option');?>" type="image/x-icon" />
    <link rel="shortcut icon" href="<?php the_field('fav_icon' , 'option');?>" type="image/x-icon" />
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,100;1,400;1,500;1,600;1,700;1,800&display=swap" rel="stylesheet">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
<!--	<a class="skip-link screen-reader-text" href="#primary"><?php // esc_html_e( 'Skip to content', 'efluensy' ); ?></a>-->

	<header id="masthead" class="site-header">
	    <div class="top-header">
	        <div class="container"> 
	        <div class="row justify-between">
	            <div class="col6">
	                <span><?php the_field('left_line' , 'option');?></span>
	            </div>
	            <div class="col6 d-flex justify-end">
	                <div class="resume"> 
	                 <a href="tel:<?php the_field('right_number' , 'option');?>">Call Us:<?php the_field('right_number' , 'option');?></a>
	                </div>
	            </div>
	        </div>
	        </div>
	    </div>
	    
	    <div class="main-header">
    		<div class="container"> 
    		    <div class="row align-center">
    		        <div class="col4">
    		           <div class="logo"><a href="<?php echo home_url('');?>"><img src="<?php the_field('main_logo' , 'option');?>" alt=""></a></div> 
    		        </div>
    		        
    		        <div class="col8">
    		            <nav id="site-navigation" class="main-navigation">
    			
                			<?php
                			wp_nav_menu(
                				array(
                					'theme_location' => 'menu-1',
                					'menu_id'        => 'primary-menu',
                				)
                			);
                			?>
    	            	</nav>
    		        </div>
    		    </div>
    		</div>
    	</div>	
	</header><!-- #masthead -->
